/**
 * File customizer.js.
 *
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Site title and description.
	wp.customize( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-logo--text a' ).text( to );
		} );
	} );
	wp.customize( 'blogdescription', function( value ) {
		value.bind( function( to ) {
			$( '.site-description__text' ).text( to );
		} );
	} );

	// Sticky label
	wp.customize( 'blog_sticky_label', function( value ) {
		value.bind( function( to ) {
			$( '.sticky-label__text' ).text( to );
		});
	} );

	// Blog read more text
	wp.customize( 'blog_read_more_text', function( value ) {
		value.bind( function( to ) {
			$( '.post-button .btn__text' ).text( to );
		});
	} );

	// Related posts block title
	wp.customize( 'related_posts_block_title', function( value ) {
		value.bind( function( to ) {
			$( '.related-posts__title' ).text( to );
		});
	} );

	// Header buttons text
	wp.customize( 'header_btn_text_1', function( value ) {
		value.bind( function( to ) {
			$( '.header-btn-1 .btn__text' ).text( to );
		});
	} );
	wp.customize( 'header_btn_text_2', function( value ) {
		value.bind( function( to ) {
			$( '.header-btn-2 .btn__text' ).text( to );
		});
	} );

} )( jQuery );
