<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gutenix
 */
?>

<?php do_action( 'gutenix_before_loop_post' ); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header"><?php
		the_title( '<h2 class="entry-title">' . gutenix_get_sticky_label() . '<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
	?></header><!-- .entry-header -->

	<?php
	if ( 'post' === get_post_type() ) :
	gutenix_entry_meta(
		array(
			'divider' => '<span class="meta-divider">&#8226;</span>',
		),
		array(
			'gutenix_post_cats'     => array(),
			'gutenix_posted_by'     => array(),
			'gutenix_posted_on'     => array(),
			'gutenix_post_comments' => array(),
		)
	);
	endif;

	gutenix_post_thumbnail(
		array(
			'size' => gutenix_has_sidebar() ? 'gutenix-thumb-m' : 'gutenix-thumb-l',
			'link' => true,
		)
	);

	echo '<div class="entry-content">';
		gutenix_post_excerpt();
		echo '<div class="clear pb20"></div>';
	echo '</div>';

	gutenix_entry_meta(
		array(
			'before' => '<footer class="entry-footer">',
			'after'  => '</footer><!-- .entry-footer -->',
		),
		array(
			'gutenix_post_tags'   => array(),
			'gutenix_post_button' => array(),
		)
	);
	?>
</article><!-- #post-<?php the_ID(); ?> -->

<?php do_action( 'gutenix_after_loop_post' ); ?>
