<?php
/**
 * The template for displaying the top panel in header.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gutenix
 */

$gutenix_visible = gutenix_is_top_panel_visible();

// Don't show top panel if all elements are disabled.
if ( ! $gutenix_visible && ! is_customize_preview() ) {
	return;
}

$gutenix_wrap_attr = ! $gutenix_visible ? 'hidden="hidden"' : '';
?>

<div class="top-panel" <?php echo esc_attr( $gutenix_wrap_attr ); ?>>
	<div <?php gutenix_container_class_by_setting( 'top_panel_container_type' ); ?>>
		<div class="top-panel__inner">
			<?php gutenix_top_message(); ?>
			<?php gutenix_social_list( 'top-panel' ); ?>
		</div>
	</div>
</div>
