<?php
/**
 * Template part for displaying single post content in single.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gutenix
 */
?>

<?php do_action( 'gutenix_before_single_post' ); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<header class="entry-header"><?php
		if ( 'post' === get_post_type() ) :
		gutenix_post_cats( array(
			'delimiter' => ' ',
			'before'    => '<div class="cat-links cat-links--primary">',
			'after'     => '</div>',
		) );
		endif;

		the_title( '<h1 class="entry-title h2-style">', '</h1>' );
	?></header><!-- .entry-header -->

	<?php
	if ( 'post' === get_post_type() ) :
	gutenix_entry_meta(
		array(
			'divider' => '<span class="meta-divider">&#8226;</span>',
		),
		array(
			'gutenix_posted_by'     => array( 'avatar' => true ),
			'gutenix_posted_on'     => array(),
			'gutenix_post_comments' => array( 'suffix' => esc_html__( 'Comment(s)', 'gutenix' ) ),
		)
	);
	endif;

	gutenix_post_thumbnail(
		array(
			'size' => gutenix_has_sidebar() ? 'gutenix-thumb-m' : 'gutenix-thumb-l',
		)
	);
	?>

	<div class="entry-content">
		<?php
		the_content();

		wp_link_pages( array(
			'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'gutenix' ),
			'after'  => '</div>',
		) );
		?>
	</div><!-- .entry-content -->

	<?php
	gutenix_entry_meta(
		array(
			'before' => '<footer class="entry-footer">',
			'after'  => '</footer><!-- .entry-footer -->',
		),
		array(
			'gutenix_post_tags' => array(
				'delimiter' => ' ',
				'prefix'    => '<span class="tags-links__prefix">' . esc_html_x( 'Tags:', 'post tags prefix', 'gutenix' ) . '</span>',
				'before'    => '<div class="tags-links tags-links--primary">',
				'after'     => '</div>',
			),
			'gutenix_post_edit_link' => array(),
		)
	);
	?>

</article><!-- #post-<?php the_ID(); ?> --><?php

do_action( 'gutenix_after_single_post' );
